Subject: Re: Does skb_metadata_differs really need to stop GRO aggregation?

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 29 Nov 2023 22:52:28 +0100

Edward Cree <[email-masked]> writes:

> On 28/11/2023 14:39, Toke Høiland-Jørgensen wrote:
>> I'm not quite sure what should be the semantics of that, though. I.e.,
>> if you are trying to aggregate two packets that have the flag set, which
>> packet do you take the value from? What if only one packet has the flag
>> set? Or should we instead have a "metadata_xdp_only" flag that just
>> prevents the skb metadata field from being set entirely? Or would both
>> be useful?
>
> Sounds like what's actually needed is bpf progs inside the GRO engine
>  to implement the metadata "protocol" prepare and coalesce callbacks?

Hmm, yes, I guess that would be the most general solution :)

-Toke